Class | Bio::FlatFileIndex::Indexer::Parser::MaXMLClusterParser
In: | lib/bio/io/flatfile/indexer.rb
Parent: | TemplateParser

### Methods

new

### Constants

NAMESTYLE | = | NameSpaces.new( NameSpace.new( 'id', Proc.new { |x| x.entry_id } ), NameSpace.new( 'altid', Proc.new { |x| x.sequences.id_strings } ), NameSpace.new( 'datasrc', Proc.new { |x| a = x.sequences.collect { |y| MaXMLSequenceParser::NAMESTYLE['datasrc'].proc.call(y)
PRIMARY | = | 'id'
SECONDARY | = | [ 'altid', 'gene_ontology', 'datasrc' ]

### Public Class methods

new(pri_name = nil, sec_names = nil)

[Source]

         # File lib/bio/io/flatfile/indexer.rb, line 359
    359:           def initialize(pri_name = nil, sec_names = nil)
    360:             super()
    361:             self.format = 'raw'
    362:             self.dbclass = Bio::FANTOM::MaXML::Cluster
    363:             self.set_primary_namespace((pri_name or PRIMARY))
    364:             unless sec_names then
    365:               sec_names = self.class::SECONDARY
    366:             end
    367:             self.add_secondary_namespaces(*sec_names)
    368:           end

[Validate]